discord:
  token: "your-discord-bot-token"
  guild_id: "your-discord-guild-id"
  notification_channel_id: "" # optional: channel to post session summaries
  # OAuth2 settings for web panel authentication (leave blank to disable auth)
  client_id: ""       # Discord application client ID
  client_secret: ""   # Discord application client secret
  redirect_url: "http://localhost:8080/api/auth/callback"

# Optional: Telegram integration for capturing DM text messages during sessions
# telegram:
#   bot_token: "your-telegram-bot-token"
#   chat_id: -1001234567890  # your Telegram group chat ID

transcribe:
  engine: "whisper"    # "whisper" or "parakeet" (NVIDIA Parakeet TDT 0.6B v3)
  model: "base"        # whisper model: tiny, base, small, medium, large-v3 (ignored for parakeet)
  model_dir: "models"  # directory to store downloaded models
  language: "en"        # whisper language (parakeet auto-detects from 25 European languages)
  threads: 4

# Speaker diarization for shared microphones (auto-downloads models on first use)
# diarize:
#   model_dir: "models"  # defaults to transcribe.model_dir
#   threads: 4           # defaults to transcribe.threads

llm:
  provider: "claude-cli"  # claude-cli or ollama
  # ollama_url: "http://localhost:11434"
  # ollama_model: "llama3"
  # embedding_model: "nomic-embed-text"  # Ollama model for vector embeddings (RAG)

storage:
  database_url: "postgres://rpg:rpg@localhost:5432/rpg_summariser?sslmode=disable"
  audio_dir: "data/audio"

web:
  listen_addr: ":8080"
  # session_secret: "your-random-secret-here"  # for cookie encryption (auto-generated if empty)
